PACEMAKER(8)

NAME
Pacemaker - Part of the Pacemaker cluster resource manager

SYNOPSIS
crm_verify [options]

DESCRIPTION
crm_verify - check a Pacemaker configuration for errors

Check the well-formedness of a complete Pacemaker XML configuration, its conformance to the configured schema, and the presence of common misconfigurations. Problems reported as errors must be fixed before the cluster will work properly. It is left to the administrator to decide whether to fix problems reported as warnings.

OPTIONS

-?, --help
    This text

-$, --version
    Version information

-V, --verbose
    Specify multiple times to increase debug output

  Data sources:

-L, --live-check
    Check the configuration used by the running cluster

-x, --xml-file=value
    Check the configuration in the named file

-X, --xml-text=value
    Check the configuration in the supplied string

-p, --xml-pipe Check the configuration piped in via stdin

  Additional Options:

-S, --save-xml=value
    Save verified XML to named file (most useful with -L)

EXAMPLES
Check the consistency of the configuration in the running cluster:

    # crm_verify --live-check

Check the consistency of the configuration in a given file and produce verbose output:

    # crm_verify --xml-file file.xml --verbose

AUTHOR
Written by Andrew Beekhof

REPORTING BUGS
Report bugs to users@clusterlabs.org